# Generated by Django 5.0.4 on 2024-04-05 21:28

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Energy',
            fields=[
                ('identifier', models.UUIDField(primary_key=True, serialize=False)),
                ('building_id', models.CharField(max_length=64)),
                ('timezone', models.CharField(max_length=64)),
                ('timestamp', models.DateTimeField()),
                ('cumulative_energy_kwh', models.FloatField()),
            ],
        ),
        migrations.CreateModel(
            name='Events',
            fields=[
                ('identifier', models.UUIDField(primary_key=True, serialize=False)),
                ('ISO', models.CharField(max_length=64)),
                ('utility_id', models.CharField(max_length=64)),
                ('program_name', models.CharField(max_length=64)),
                ('event_start', models.DateTimeField()),
                ('event_end', models.DateTimeField()),
                ('timezone', models.CharField(max_length=64)),
            ],
        ),
        migrations.CreateModel(
            name='Holidays',
            fields=[
                ('identifier', models.UUIDField(primary_key=True, serialize=False)),
                ('date', models.DateField()),
                ('holiday', models.CharField(max_length=64)),
            ],
        ),
    ]
